## lgogdownloader 2.19

=== Makefile ===
#------------------------------------------------------------------------------#
# This makefile was generated by 'cbp2make' tool rev.127                       #
#------------------------------------------------------------------------------#


WORKDIR = `pwd`

DESTDIR = 
PREFIX = /usr
MANPREFIX = $(PREFIX)/share

CC = gcc
CXX = g++
AR = ar
LD = g++
WINDRES = windres

INC =  -Iinclude -I/usr/include/rhash
CFLAGS =  -std=c++11 -Wall -fexceptions -D_FILE_OFFSET_BITS=64
RESINC = 
LIBDIR = 
LIB =  -lcurl -loauth -ljsoncpp -lhtmlcxx -lboost_system -lboost_filesystem -lboost_regex -lboost_program_options -lboost_date_time -ltinyxml -lrhash
LDFLAGS = 

VERSION = -DVERSION_STRING="\"$(shell sh version.sh)\""
HELP2MAN = $(shell which help2man 2> /dev/null)
MAN_DIR = man
MAN_PAGE = lgogdownloader.1

INC_DEBUG =  $(INC)
CFLAGS_DEBUG =  $(CFLAGS) -g -DDEBUG
RESINC_DEBUG =  $(RESINC)
RCFLAGS_DEBUG =  $(RCFLAGS)
LIBDIR_DEBUG =  $(LIBDIR)
LIB_DEBUG = $(LIB)
LDFLAGS_DEBUG =  $(LDFLAGS)
OBJDIR_DEBUG = obj/Debug
DEP_DEBUG = 
OUT_DEBUG = bin/Debug/lgogdownloader

INC_RELEASE =  $(INC)
CFLAGS_RELEASE =  $(CFLAGS) -O2
RESINC_RELEASE =  $(RESINC)
RCFLAGS_RELEASE =  $(RCFLAGS)
LIBDIR_RELEASE =  $(LIBDIR)
LIB_RELEASE = $(LIB)
LDFLAGS_RELEASE =  $(LDFLAGS) -s
OBJDIR_RELEASE = obj/Release
DEP_RELEASE = 
OUT_RELEASE = bin/Release/lgogdownloader

OBJ_DEBUG = $(OBJDIR_DEBUG)/main.o $(OBJDIR_DEBUG)/src/api.o $(OBJDIR_DEBUG)/src/downloader.o $(OBJDIR_DEBUG)/src/progressbar.o $(OBJDIR_DEBUG)/src/util.o $(OBJDIR_DEBUG)/src/blacklist.o $(OBJDIR_DEBUG)/src/gamedetails.o $(OBJDIR_DEBUG)/src/gamefile.o

OBJ_RELEASE = $(OBJDIR_RELEASE)/main.o $(OBJDIR_RELEASE)/src/api.o $(OBJDIR_RELEASE)/src/downloader.o $(OBJDIR_RELEASE)/src/progressbar.o $(OBJDIR_RELEASE)/src/util.o $(OBJDIR_RELEASE)/src/blacklist.o $(OBJDIR_RELEASE)/src/gamedetails.o $(OBJDIR_RELEASE)/src/gamefile.o

all: debug release

clean: clean_debug clean_release

before_debug: 
	test -d bin/Debug || mkdir -p bin/Debug
	test -d $(OBJDIR_DEBUG) || mkdir -p $(OBJDIR_DEBUG)
	test -d $(OBJDIR_DEBUG)/src || mkdir -p $(OBJDIR_DEBUG)/src

after_debug: 

debug: before_debug out_debug after_debug

out_debug: $(OBJ_DEBUG) $(DEP_DEBUG)
	$(LD) $(LDFLAGS_DEBUG) $(LIBDIR_DEBUG) $(OBJ_DEBUG) $(LIB_DEBUG) -o $(OUT_DEBUG)

$(OBJDIR_DEBUG)/main.o: main.cpp
	$(CXX) $(CFLAGS_DEBUG) $(VERSION) $(INC_DEBUG) -c main.cpp -o $(OBJDIR_DEBUG)/main.o

$(OBJDIR_DEBUG)/src/api.o: src/api.cpp
	$(CXX) $(CFLAGS_DEBUG) $(INC_DEBUG) -c src/api.cpp -o $(OBJDIR_DEBUG)/src/api.o

$(OBJDIR_DEBUG)/src/downloader.o: src/downloader.cpp
	$(CXX) $(CFLAGS_DEBUG) $(INC_DEBUG) -c src/downloader.cpp -o $(OBJDIR_DEBUG)/src/downloader.o

$(OBJDIR_DEBUG)/src/progressbar.o: src/progressbar.cpp
	$(CXX) $(CFLAGS_DEBUG) $(INC_DEBUG) -c src/progressbar.cpp -o $(OBJDIR_DEBUG)/src/progressbar.o

$(OBJDIR_DEBUG)/src/util.o: src/util.cpp
	$(CXX) $(CFLAGS_DEBUG) $(INC_DEBUG) -c src/util.cpp -o $(OBJDIR_DEBUG)/src/util.o

$(OBJDIR_DEBUG)/src/blacklist.o: src/blacklist.cpp
	$(CXX) $(CFLAGS_DEBUG) $(INC_DEBUG) -c src/blacklist.cpp -o $(OBJDIR_DEBUG)/src/blacklist.o

$(OBJDIR_DEBUG)/src/gamefile.o: src/gamefile.cpp
	$(CXX) $(CFLAGS_DEBUG) $(INC_DEBUG) -c src/gamefile.cpp -o $(OBJDIR_DEBUG)/src/gamefile.o

$(OBJDIR_DEBUG)/src/gamedetails.o: src/gamedetails.cpp
	$(CXX) $(CFLAGS_DEBUG) $(INC_DEBUG) -c src/gamedetails.cpp -o $(OBJDIR_DEBUG)/src/gamedetails.o

clean_debug: 
	rm -f $(OBJ_DEBUG) $(OUT_DEBUG)
	rm -rf bin/Debug
	rm -rf $(OBJDIR_DEBUG)
	rm -rf $(OBJDIR_DEBUG)/src

before_release: 
	test -d bin/Release || mkdir -p bin/Release
	test -d $(OBJDIR_RELEASE) || mkdir -p $(OBJDIR_RELEASE)
	test -d $(OBJDIR_RELEASE)/src || mkdir -p $(OBJDIR_RELEASE)/src

after_release: out_release
ifdef HELP2MAN
	help2man -N -i $(MAN_DIR)/lgogdownloader.supplemental.groff -o $(MAN_DIR)/$(MAN_PAGE) $(OUT_RELEASE)
	gzip -f -9 $(MAN_DIR)/$(MAN_PAGE)
endif

release: before_release out_release after_release

out_release: $(OBJ_RELEASE) $(DEP_RELEASE)
	$(LD) $(LDFLAGS_RELEASE) $(LIBDIR_RELEASE) $(OBJ_RELEASE) $(LIB_RELEASE) -o $(OUT_RELEASE)

$(OBJDIR_RELEASE)/main.o: main.cpp
	$(CXX) $(CFLAGS_RELEASE) $(VERSION) $(INC_RELEASE) -c main.cpp -o $(OBJDIR_RELEASE)/main.o

$(OBJDIR_RELEASE)/src/api.o: src/api.cpp
	$(CXX) $(CFLAGS_RELEASE) $(INC_RELEASE) -c src/api.cpp -o $(OBJDIR_RELEASE)/src/api.o

$(OBJDIR_RELEASE)/src/downloader.o: src/downloader.cpp
	$(CXX) $(CFLAGS_RELEASE) $(INC_RELEASE) -c src/downloader.cpp -o $(OBJDIR_RELEASE)/src/downloader.o

$(OBJDIR_RELEASE)/src/progressbar.o: src/progressbar.cpp
	$(CXX) $(CFLAGS_RELEASE) $(INC_RELEASE) -c src/progressbar.cpp -o $(OBJDIR_RELEASE)/src/progressbar.o

$(OBJDIR_RELEASE)/src/util.o: src/util.cpp
	$(CXX) $(CFLAGS_RELEASE) $(INC_RELEASE) -c src/util.cpp -o $(OBJDIR_RELEASE)/src/util.o

$(OBJDIR_RELEASE)/src/blacklist.o: src/blacklist.cpp
	$(CXX) $(CFLAGS_RELEASE) $(INC_RELEASE) -c src/blacklist.cpp -o $(OBJDIR_RELEASE)/src/blacklist.o

$(OBJDIR_RELEASE)/src/gamefile.o: src/gamefile.cpp
	$(CXX) $(CFLAGS_RELEASE) $(INC_RELEASE) -c src/gamefile.cpp -o $(OBJDIR_RELEASE)/src/gamefile.o

$(OBJDIR_RELEASE)/src/gamedetails.o: src/gamedetails.cpp
	$(CXX) $(CFLAGS_RELEASE) $(INC_RELEASE) -c src/gamedetails.cpp -o $(OBJDIR_RELEASE)/src/gamedetails.o

clean_release: 
	rm -f $(OBJ_RELEASE) $(OUT_RELEASE)
	rm -rf bin/Release
	rm -rf $(OBJDIR_RELEASE)
	rm -rf $(OBJDIR_RELEASE)/src
	rm -f $(MAN_DIR)/$(MAN_PAGE) $(MAN_DIR)/$(MAN_PAGE).gz

install: release
	install -d $(DESTDIR)/$(PREFIX)/bin/
	install -m 755 $(OUT_RELEASE) $(DESTDIR)/$(PREFIX)/bin/lgogdownloader
	if test -f $(MAN_DIR)/$(MAN_PAGE).gz; then \
		install -d $(DESTDIR)/$(MANPREFIX)/man/man1/; \
		install -m 644 $(MAN_DIR)/$(MAN_PAGE).gz $(DESTDIR)/$(MANPREFIX)/man/man1/$(MAN_PAGE).gz; \
	fi

uninstall:
	rm $(DESTDIR)/$(PREFIX)/bin/lgogdownloader
	if test -f $(DESTDIR)/$(MANPREFIX)/man/man1/$(MAN_PAGE).gz; then \
		rm $(DESTDIR)/$(MANPREFIX)/man/man1/$(MAN_PAGE).gz; \
	fi

.PHONY: before_debug after_debug clean_debug before_release after_release clean_release

=== debian/changelog ===
lgogdownloader (2.19-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 3.9.6, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 21 Oct 2014 20:31:24 +0200

lgogdownloader (2.18-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches, and drop help-without-home.patch (merged upstream).
  * Add pointers to the git repository on Alioth.
  * Make sure CPPFLAGS are taken into account.

 -- Stephen Kitt <skitt@debian.org>  Tue, 23 Sep 2014 17:18:17 +0200

lgogdownloader (2.17-2) unstable; urgency=medium

  * Avoid touching $HOME if --help or --version are specified on the
    command-line. Closes: #761217.

 -- Stephen Kitt <skitt@debian.org>  Thu, 11 Sep 2014 23:17:00 +0200

lgogdownloader (2.17-1) unstable; urgency=low

  * Initial release. Closes: #761130.

 -- Stephen Kitt <skitt@debian.org>  Wed, 10 Sep 2014 23:26:18 +0200

=== debian/control ===
Source: lgogdownloader
Section: web
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper (>=9),
               help2man,
               libboost-date-time-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libhtmlcxx-dev,
               libjsoncpp-dev,
               liboauth-dev,
               librhash-dev,
               libtinyxml-dev
Standards-Version: 3.9.6
Homepage: https://sites.google.com/site/gogdownloader/
Vcs-Git: git://anonscm.debian.org/pkg-games/lgogdownloader.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/lgogdownloader.git

Package: lgogdownloader
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: downloader for GOG.com files
 lgogdownloader is a client for the GOG.com download API, allowing
 simple downloads and updates of games and other files from GOG.com.
 .
 This package is only useful if you own games on GOG.com. There are a
 few free-as-in-beer games available for Linux, but the DFSG-free
 games are not provided for Linux on GOG.com and are available in
 Debian anyway (lure-of-the-temptress, beneath-a-steel-sky,
 flight-of-the-amazon-queen).

## lgogdownloader 2.21

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 LD = g++
 WINDRES = windres
 
-INC =  -Iinclude -I/usr/include/rhash
+INC =  -Iinclude -I/usr/include/rhash -I/usr/include/jsoncpp
 CFLAGS =  -std=c++11 -Wall -fexceptions -D_FILE_OFFSET_BITS=64
 RESINC = 
 LIBDIR =

=== debian/changelog ===
lgogdownloader (2.21-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Sun, 10 May 2015 21:45:26 +0200

lgogdownloader (2.21-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 10 Apr 2015 21:24:56 +0200

lgogdownloader (2.20-1) experimental; urgency=medium

  * New upstream release, uploaded to experimental for the Jessie freeze.

 -- Stephen Kitt <skitt@debian.org>  Thu, 11 Dec 2014 00:16:28 +0100

## lgogdownloader 2.23

=== Makefile ===
--- 
+++ 
@@ -62,7 +62,13 @@
 	test -d $(OBJDIR_DEBUG) || mkdir -p $(OBJDIR_DEBUG)
 	test -d $(OBJDIR_DEBUG)/src || mkdir -p $(OBJDIR_DEBUG)/src
 
-after_debug: 
+after_debug: out_debug
+ifdef HELP2MAN
+	if ! test -f $(MAN_DIR)/$(MAN_PAGE).gz; then \
+		help2man -N -i $(MAN_DIR)/lgogdownloader.supplemental.groff -o $(MAN_DIR)/$(MAN_PAGE) $(OUT_DEBUG); \
+		gzip -f -9 $(MAN_DIR)/$(MAN_PAGE); \
+	fi
+endif
 
 debug: before_debug out_debug after_debug
 
@@ -106,8 +112,10 @@
 
 after_release: out_release
 ifdef HELP2MAN
-	help2man -N -i $(MAN_DIR)/lgogdownloader.supplemental.groff -o $(MAN_DIR)/$(MAN_PAGE) $(OUT_RELEASE)
-	gzip -f -9 $(MAN_DIR)/$(MAN_PAGE)
+	if ! test -f $(MAN_DIR)/$(MAN_PAGE).gz; then \
+		help2man -N -i $(MAN_DIR)/lgogdownloader.supplemental.groff -o $(MAN_DIR)/$(MAN_PAGE) $(OUT_RELEASE); \
+		gzip -f -9 $(MAN_DIR)/$(MAN_PAGE); \
+	fi
 endif
 
 release: before_release out_release after_release
@@ -148,7 +156,11 @@
 
 install: release
 	install -d $(DESTDIR)/$(PREFIX)/bin/
-	install -m 755 $(OUT_RELEASE) $(DESTDIR)/$(PREFIX)/bin/lgogdownloader
+	if test -f $(OUT_DEBUG); then \
+		install -m 755 $(OUT_DEBUG) $(DESTDIR)/$(PREFIX)/bin/lgogdownloader; \
+	else \
+		install -m 755 $(OUT_RELEASE) $(DESTDIR)/$(PREFIX)/bin/lgogdownloader; \
+	fi
 	if test -f $(MAN_DIR)/$(MAN_PAGE).gz; then \
 		install -d $(DESTDIR)/$(MANPREFIX)/man/man1/; \
 		install -m 644 $(MAN_DIR)/$(MAN_PAGE).gz $(DESTDIR)/$(MANPREFIX)/man/man1/$(MAN_PAGE).gz; \

## lgogdownloader 2.24

=== debian/changelog ===
lgogdownloader (2.24-1build1) wily; urgency=medium

  * No-change rebuild against libjsoncpp0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 00:49:24 +0000

lgogdownloader (2.24-1) unstable; urgency=medium

  * New upstream release.
  * Refresh manpage-whatis.patch.

 -- Stephen Kitt <skitt@debian.org>  Tue, 14 Jul 2015 14:02:39 +0200

lgogdownloader (2.23-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch.

 -- Stephen Kitt <skitt@debian.org>  Wed, 20 May 2015 07:18:47 +0200

## lgogdownloader 2.26

=== Makefile ===
--- 
+++ 
@@ -75,6 +75,8 @@
 out_debug: $(OBJ_DEBUG) $(DEP_DEBUG)
 	$(LD) $(LDFLAGS_DEBUG) $(LIBDIR_DEBUG) $(OBJ_DEBUG) $(LIB_DEBUG) -o $(OUT_DEBUG)
 
+$(OBJ_DEBUG): | before_debug
+
 $(OBJDIR_DEBUG)/main.o: main.cpp
 	$(CXX) $(CFLAGS_DEBUG) $(VERSION) $(INC_DEBUG) -c main.cpp -o $(OBJDIR_DEBUG)/main.o
 
@@ -122,6 +124,8 @@
 
 out_release: $(OBJ_RELEASE) $(DEP_RELEASE)
 	$(LD) $(LDFLAGS_RELEASE) $(LIBDIR_RELEASE) $(OBJ_RELEASE) $(LIB_RELEASE) -o $(OUT_RELEASE)
+
+$(OBJ_RELEASE): | before_release
 
 $(OBJDIR_RELEASE)/main.o: main.cpp
 	$(CXX) $(CFLAGS_RELEASE) $(VERSION) $(INC_RELEASE) -c main.cpp -o $(OBJDIR_RELEASE)/main.o

=== debian/changelog ===
lgogdownloader (2.26-1ubuntu1) xenial; urgency=medium

  * debian/patches/jsoncpp-1.7.1.patch: Grab patch from Debian to fix FTBFS
    with JsonCpp 1.7.1.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 14 Apr 2016 21:21:55 +0000

lgogdownloader (2.26-1build1) xenial; urgency=medium

  * No-change rebuild for the libjsoncpp transition.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 09 Feb 2016 13:12:02 +0100

lgogdownloader (2.26-1) unstable; urgency=medium

  * New upstream release.
  * Drop unattended-login.patch, merged upstream.

 -- Stephen Kitt <skitt@debian.org>  Wed, 14 Oct 2015 18:25:27 +0200

lgogdownloader (2.25-2) unstable; urgency=medium

  * Handle unattended login attempts. Closes: #798740.

 -- Stephen Kitt <skitt@debian.org>  Sun, 13 Sep 2015 19:41:13 +0200

lgogdownloader (2.25-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 07 Sep 2015 22:40:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lgogdownloader
 Section: web
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Build-Depends: debhelper (>=9),
                help2man,

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

%:
	dh $@

=== debian/watch ===
# watch control file for uscan
version=3

https://github.com/Sude-/lgogdownloader/tags (?:.*/)?v?(\d[\d\.]*)\.(?:tar\.gz|tar\.bz2|tar\.xz)

## lgogdownloader 2.28

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0 FATAL_ERROR)
project (lgogdownloader LANGUAGES CXX VERSION 2.28)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DDEBUG=1")

find_package(Boost
  REQUIRED
  system
  filesystem
  regex
  program_options
  date_time
  )
find_package(CURL 7.32.0 REQUIRED)
find_package(OAuth REQUIRED)
find_package(Jsoncpp REQUIRED)
find_package(Htmlcxx REQUIRED)
find_package(Tinyxml REQUIRED)
find_package(Rhash REQUIRED)

file(GLOB SRC_FILES
  main.cpp
  src/api.cpp
  src/website.cpp
  src/downloader.cpp
  src/progressbar.cpp
  src/util.cpp
  src/blacklist.cpp
  src/gamefile.cpp
  src/gamedetails.cpp
  )

set(GIT_CHECKOUT FALSE)
if(EXISTS ${PROJECT_SOURCE_DIR}/.git)
  if(NOT EXISTS ${PROJECT_SOURCE_DIR}/.git/shallow)
    find_package(Git)
    if(GIT_FOUND)
      set(GIT_CHECKOUT TRUE)
    else(GIT_FOUND)
      message(WARNING "Git executable not found")
    endif(GIT_FOUND)
  else(NOT EXISTS ${PROJECT_SOURCE_DIR}/.git/shallow)
    message(STATUS "Shallow Git clone detected, not attempting to retrieve version info")
  endif(NOT EXISTS ${PROJECT_SOURCE_DIR}/.git/shallow)
endif(EXISTS ${PROJECT_SOURCE_DIR}/.git)

if(GIT_CHECKOUT)
  execute_process(COMMAND ${GIT_EXECUTABLE} diff --shortstat
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    OUTPUT_VARIABLE GIT_SHORTSTAT
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )
  execute_process(COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    OUTPUT_VARIABLE GIT_REV_PARSE
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )
  if(GIT_SHORTSTAT)
    set(GIT_DIRTY ON)
  endif(GIT_SHORTSTAT)

  if(GIT_DIRTY)
    set(PROJECT_VERSION_MINOR ${PROJECT_VERSION_MINOR}M)
  endif(GIT_DIRTY)

  set(PROJECT_VERSION_PATCH ${GIT_REV_PARSE})
  set(PROJECT_VERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
endif(GIT_CHECKOUT)

set(VERSION_NUMBER ${PROJECT_VERSION})
set(VERSION_STRING "LGOGDownloader ${VERSION_NUMBER}")

add_definitions(-D_FILE_OFFSET_BITS=64 -DVERSION_NUMBER="${VERSION_NUMBER}" -DVERSION_STRING="${VERSION_STRING}")

add_executable (${PROJECT_NAME} ${SRC_FILES})


target_include_directories(${PROJECT_NAME}
  PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/include
  PRIVATE ${Boost_INCLUDE_DIRS}
  PRIVATE ${CURL_INCLUDE_DIRS}
  PRIVATE ${OAuth_INCLUDE_DIRS}
  PRIVATE ${Jsoncpp_INCLUDE_DIRS}
  PRIVATE ${Htmlcxx_INCLUDE_DIRS}
  PRIVATE ${Tinyxml_INCLUDE_DIRS}
  PRIVATE ${Rhash_INCLUDE_DIRS}
  )

target_link_libraries(${PROJECT_NAME}
  PRIVATE ${Boost_LIBRARIES}
  PRIVATE ${CURL_LIBRARIES}
  PRIVATE ${OAuth_LIBRARIES}
  PRIVATE ${Jsoncpp_LIBRARIES}
  PRIVATE ${Htmlcxx_LIBRARIES}
  PRIVATE ${Tinyxml_LIBRARIES}
  PRIVATE ${Rhash_LIBRARIES}
  )

if(MSVC)
  # Force to always compile with W4
  if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
    string(REGEX REPLACE "/W[0-4]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
  else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
  endif()
elseif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # Update if necessary
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Wno-long-long -fexceptions")
endif()

set(INSTALL_BIN_DIR bin CACHE PATH "Installation directory for executables")
set(INSTALL_SHARE_DIR share CACHE PATH "Installation directory for resource files")

install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}${CMAKE_EXECUTABLE_SUFFIX} DESTINATION ${INSTALL_BIN_DIR})
add_subdirectory(man)

=== debian/changelog ===
lgogdownloader (2.28-1) unstable; urgency=medium

  * New upstream release, merging jsoncpp-1.7.1.patch.
  * Standards-Version 3.9.8, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 09 May 2016 23:35:51 +0200

lgogdownloader (2.27-2) unstable; urgency=medium

  * Apply upstream patch to build with libjsoncpp 1.7.1 and later. Closes:
    #820064, #820315.

 -- Stephen Kitt <skitt@debian.org>  Fri, 08 Apr 2016 13:46:48 +0200

lgogdownloader (2.27-1) unstable; urgency=medium

  * New upstream release, with a new cmake-based build obsoleting all the
    existing patches apart from manpage-whatis.patch.

 -- Stephen Kitt <skitt@debian.org>  Fri, 18 Mar 2016 12:56:19 +0100

lgogdownloader (2.26-2) unstable; urgency=medium

  * Switch to https: VCS URIs (see #810378).
  * Apply upstream's fix for crashes after login (thanks to Phil Morrell
    for pointing it out!).
  * Standards-Version 3.9.7, no change required.
  * Enable full hardening.

 -- Stephen Kitt <skitt@debian.org>  Wed, 24 Feb 2016 20:23:37 +0100

=== debian/control ===
Source: lgogdownloader
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Section: web
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9),
               help2man,
               libboost-date-time-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libhtmlcxx-dev,
               libjsoncpp-dev (>= 1.7.1),
               liboauth-dev,
               librhash-dev,
               libtinyxml-dev,
               pkg-config
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/lgogdownloader.git
Vcs-Git: https://anonscm.debian.org/git/pkg-games/lgogdownloader.git
Homepage: https://sites.google.com/site/gogdownloader/

Package: lgogdownloader
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libjsoncpp1 (>= 1.7.1)
Description: downloader for GOG.com files
 lgogdownloader is a client for the GOG.com download API, allowing
 simple downloads and updates of games and other files from GOG.com.
 .
 This package is only useful if you own games on GOG.com. There are a
 few free-as-in-beer games available for Linux, but the DFSG-free
 games are not provided for Linux on GOG.com and are available in
 Debian anyway (lure-of-the-temptress, beneath-a-steel-sky,
 flight-of-the-amazon-queen).

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

## lgogdownloader 3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,12 @@
 cmake_minimum_required(VERSION 3.0.0 FATAL_ERROR)
-project (lgogdownloader LANGUAGES CXX VERSION 2.28)
+project (lgogdownloader LANGUAGES C CXX VERSION 3.0)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DDEBUG=1")
+set(LINK_LIBCRYPTO 0)
 
+find_program(READELF readelf DOC "Location of the readelf program")
+find_program(GREP grep DOC "Location of the grep program")
 find_package(Boost
   REQUIRED
   system
@@ -13,11 +16,25 @@
   date_time
   )
 find_package(CURL 7.32.0 REQUIRED)
+if(CURL_FOUND)
+  execute_process(
+    COMMAND ${READELF} -d ${CURL_LIBRARIES}
+    COMMAND ${GREP} -q "libssl\\|libcrypto"
+    RESULT_VARIABLE READELF_RESULT_VAR
+  )
+  if(READELF_RESULT_VAR EQUAL 0)
+    add_definitions(-DSSL_THREAD_SETUP_OPENSSL=1)
+    find_package(Libcrypto REQUIRED)
+    set(LINK_LIBCRYPTO 1)
+  endif(READELF_RESULT_VAR EQUAL 0)
+endif(CURL_FOUND)
+
 find_package(OAuth REQUIRED)
 find_package(Jsoncpp REQUIRED)
 find_package(Htmlcxx REQUIRED)
-find_package(Tinyxml REQUIRED)
+find_package(Tinyxml2 REQUIRED)
 find_package(Rhash REQUIRED)
+find_package(Threads REQUIRED)
 
 file(GLOB SRC_FILES
   main.cpp
@@ -83,7 +100,7 @@
   PRIVATE ${OAuth_INCLUDE_DIRS}
   PRIVATE ${Jsoncpp_INCLUDE_DIRS}
   PRIVATE ${Htmlcxx_INCLUDE_DIRS}
-  PRIVATE ${Tinyxml_INCLUDE_DIRS}
+  PRIVATE ${Tinyxml2_INCLUDE_DIRS}
   PRIVATE ${Rhash_INCLUDE_DIRS}
   )
 
@@ -93,9 +110,16 @@
   PRIVATE ${OAuth_LIBRARIES}
   PRIVATE ${Jsoncpp_LIBRARIES}
   PRIVATE ${Htmlcxx_LIBRARIES}
-  PRIVATE ${Tinyxml_LIBRARIES}
+  PRIVATE ${Tinyxml2_LIBRARIES}
   PRIVATE ${Rhash_LIBRARIES}
+  PRIVATE ${CMAKE_THREAD_LIBS_INIT}
   )
+
+if(LINK_LIBCRYPTO EQUAL 1)
+  target_link_libraries(${PROJECT_NAME}
+    PRIVATE ${Libcrypto_LIBRARIES}
+  )
+endif(LINK_LIBCRYPTO EQUAL 1)
 
 if(MSVC)
   # Force to always compile with W4
@@ -106,7 +130,7 @@
   endif()
 elseif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
   # Update if necessary
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Wno-long-long -fexceptions")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Wextra -Wno-long-long -fexceptions")
 endif()
 
 set(INSTALL_BIN_DIR bin CACHE PATH "Installation directory for executables")

=== debian/changelog ===
lgogdownloader (3.0-1~bpo8+1) jessie-backports; urgency=medium

  * Backport to Debian 8.

 -- Stephen Kitt <skitt@debian.org>  Wed, 30 Nov 2016 22:30:17 +0100

lgogdownloader (3.0-1) unstable; urgency=medium

  * New upstream release.
  * Now that libjsoncpp-dev is fixed, drop the explicit dependency on
    libjsoncpp1.
  * Switch to debhelper compatibility level 10.
  * Clarify the description regarding DFSG-free games on GOG.com.

 -- Stephen Kitt <skitt@debian.org>  Thu, 24 Nov 2016 22:06:40 +0100

## lgogdownloader 3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.0.0 FATAL_ERROR)
-project (lgogdownloader LANGUAGES C CXX VERSION 3.0)
+project (lgogdownloader LANGUAGES C CXX VERSION 3.1)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DDEBUG=1")

=== man/CMakeLists.txt ===
find_program(HELP2MAN help2man DOC "Location of the help2man program")
find_program(GZIP gzip DOC "Location of the gzip program")
mark_as_advanced(HELP2MAN)
mark_as_advanced(GZIP)

if(HELP2MAN AND GZIP)	
  set(H2M_FILE ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.supplemental.groff)
  set(MAN_PAGE ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.1)
  set(MAN_FILE ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.1.gz)
  add_custom_command(
    OUTPUT ${MAN_FILE}
    COMMAND ${HELP2MAN} -N -i ${H2M_FILE} -o ${MAN_PAGE} ${PROJECT_BINARY_DIR}/${PROJECT_NAME}${CMAKE_EXECUTABLE_SUFFIX}
    COMMAND ${GZIP} -f -9 ${MAN_PAGE}
    MAIN_DEPENDENCY ${H2M_FILE}
	COMMENT "Building man page"
	VERBATIM
	)
  add_custom_target(manpage ALL DEPENDS ${MAN_FILE} ${PROJECT_NAME})
  install(FILES ${MAN_FILE} DESTINATION ${INSTALL_SHARE_DIR}/man/man1)
else(HELP2MAN AND GZIP)
  message("WARNING: One of the following is missing: help2man, gzip; man page will not be generated")
endif(HELP2MAN AND GZIP)

=== debian/changelog ===
lgogdownloader (3.1-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Team upload
  * Backport patch from 3.2 fixing the ability to list games if a game
    has {'updates': null} (Closes: #857691)

 -- Stephen Kitt <skitt@debian.org>  Wed, 05 Apr 2017 19:27:13 +0200

lgogdownloader (3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 16 Jan 2017 19:35:28 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: web
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper (>= 10),
                help2man,
                libboost-date-time-dev,
                libboost-filesystem-dev,
@@ -15,7 +15,8 @@
                libjsoncpp-dev (>= 1.7.1),
                liboauth-dev,
                librhash-dev,
-               libtinyxml-dev,
+               libssl-dev,
+               libtinyxml2-dev,
                pkg-config
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/lgogdownloader.git
@@ -26,14 +27,13 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libjsoncpp1 (>= 1.7.1)
+         ${shlibs:Depends}
 Description: downloader for GOG.com files
  lgogdownloader is a client for the GOG.com download API, allowing
  simple downloads and updates of games and other files from GOG.com.
  .
  This package is only useful if you own games on GOG.com. There are a
  few free-as-in-beer games available for Linux, but the DFSG-free
- games are not provided for Linux on GOG.com and are available in
- Debian anyway (lure-of-the-temptress, beneath-a-steel-sky,
- flight-of-the-amazon-queen).
+ games available on GOG.com are not provided for Linux and are
+ available in Debian anyway (lure-of-the-temptress,
+ beneath-a-steel-sky, flight-of-the-amazon-queen).

## lgogdownloader 3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,7 @@
 cmake_minimum_required(VERSION 3.0.0 FATAL_ERROR)
-project (lgogdownloader LANGUAGES C CXX VERSION 3.1)
+project (lgogdownloader LANGUAGES C CXX VERSION 3.2)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
-set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DDEBUG=1")
 set(LINK_LIBCRYPTO 0)
 
 find_program(READELF readelf DOC "Location of the readelf program")
@@ -14,6 +13,7 @@
   regex
   program_options
   date_time
+  iostreams
   )
 find_package(CURL 7.32.0 REQUIRED)
 if(CURL_FOUND)
@@ -46,6 +46,7 @@
   src/blacklist.cpp
   src/gamefile.cpp
   src/gamedetails.cpp
+  src/galaxyapi.cpp
   )
 
 set(GIT_CHECKOUT FALSE)

=== debian/changelog ===
lgogdownloader (3.2-1build1) artful; urgency=medium

  * No-change rebuild against latest tinyxml2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 14 Jul 2017 14:18:49 -0400

lgogdownloader (3.2-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.

 -- Stephen Kitt <skitt@debian.org>  Mon, 19 Jun 2017 08:56:54 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                help2man,
                libboost-date-time-dev,
                libboost-filesystem-dev,
+               libboost-iostreams-dev,
                libboost-program-options-dev,
                libboost-regex-dev,
                libboost-system-dev,

## lgogdownloader 3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.0.0 FATAL_ERROR)
-project (lgogdownloader LANGUAGES C CXX VERSION 3.2)
+project (lgogdownloader LANGUAGES C CXX VERSION 3.3)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 set(LINK_LIBCRYPTO 0)

=== debian/changelog ===
lgogdownloader (3.3-2build2) cosmic; urgency=medium

  * Rebuild against new libtinyxml2-6a.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Aug 2018 12:00:34 +0200

lgogdownloader (3.3-2build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:57:45 +0000

lgogdownloader (3.3-2) unstable; urgency=medium

  * Migrate to Salsa.
  * Standards-Version 4.1.4, no further change required.
  * Switch to debhelper compatibility level 11.

 -- Stephen Kitt <skitt@debian.org>  Sun, 06 May 2018 14:22:19 +0200

lgogdownloader (3.3-1) unstable; urgency=medium

  * New upstream release.
  * Clean up whitespace in debian/rules.
  * Update debian/copyright.
  * Standards-Version 4.1.1, no further change required.
  * Enable building without fakeroot.

 -- Stephen Kitt <skitt@debian.org>  Tue, 07 Nov 2017 23:05:20 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: web
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 10),
+               debhelper (>= 11~),
                help2man,
                libboost-date-time-dev,
                libboost-filesystem-dev,
@@ -19,9 +19,10 @@
                libssl-dev,
                libtinyxml2-dev,
                pkg-config
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/lgogdownloader.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/lgogdownloader.git
+Standards-Version: 4.1.4
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/games-team/lgogdownloader
+Vcs-Git: https://salsa.debian.org/games-team/lgogdownloader.git
 Homepage: https://sites.google.com/site/gogdownloader/
 
 Package: lgogdownloader

## lgogdownloader 3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.0.0 FATAL_ERROR)
-project (lgogdownloader LANGUAGES C CXX VERSION 3.3)
+project (lgogdownloader LANGUAGES C CXX VERSION 3.4)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 set(LINK_LIBCRYPTO 0)
@@ -35,6 +35,7 @@
 find_package(Tinyxml2 REQUIRED)
 find_package(Rhash REQUIRED)
 find_package(Threads REQUIRED)
+find_package(ZLIB REQUIRED)
 
 file(GLOB SRC_FILES
   main.cpp
@@ -47,6 +48,7 @@
   src/gamefile.cpp
   src/gamedetails.cpp
   src/galaxyapi.cpp
+  src/ziputil.cpp
   )
 
 set(GIT_CHECKOUT FALSE)
@@ -88,8 +90,9 @@
 
 set(VERSION_NUMBER ${PROJECT_VERSION})
 set(VERSION_STRING "LGOGDownloader ${VERSION_NUMBER}")
+set(DEFAULT_USER_AGENT "LGOGDownloader/${VERSION_NUMBER} (${CMAKE_SYSTEM_NAME} ${CMAKE_SYSTEM_PROCESSOR})")
 
-add_definitions(-D_FILE_OFFSET_BITS=64 -DVERSION_NUMBER="${VERSION_NUMBER}" -DVERSION_STRING="${VERSION_STRING}")
+add_definitions(-D_FILE_OFFSET_BITS=64 -DVERSION_NUMBER="${VERSION_NUMBER}" -DVERSION_STRING="${VERSION_STRING}" -DDEFAULT_USER_AGENT="${DEFAULT_USER_AGENT}")
 
 add_executable (${PROJECT_NAME} ${SRC_FILES})
 
@@ -103,6 +106,7 @@
   PRIVATE ${Htmlcxx_INCLUDE_DIRS}
   PRIVATE ${Tinyxml2_INCLUDE_DIRS}
   PRIVATE ${Rhash_INCLUDE_DIRS}
+  PRIVATE ${ZLIB_INCLUDE_DIRS}
   )
 
 target_link_libraries(${PROJECT_NAME}
@@ -114,6 +118,7 @@
   PRIVATE ${Tinyxml2_LIBRARIES}
   PRIVATE ${Rhash_LIBRARIES}
   PRIVATE ${CMAKE_THREAD_LIBS_INIT}
+  PRIVATE ${ZLIB_LIBRARIES}
   )
 
 if(LINK_LIBCRYPTO EQUAL 1)

=== man/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,8 @@
 find_program(GZIP gzip DOC "Location of the gzip program")
 mark_as_advanced(HELP2MAN)
 mark_as_advanced(GZIP)
+
+include(GNUInstallDirs)
 
 if(HELP2MAN AND GZIP)	
   set(H2M_FILE ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.supplemental.groff)
@@ -16,7 +18,7 @@
 	VERBATIM
 	)
   add_custom_target(manpage ALL DEPENDS ${MAN_FILE} ${PROJECT_NAME})
-  install(FILES ${MAN_FILE} DESTINATION ${INSTALL_SHARE_DIR}/man/man1)
+  install(FILES ${MAN_FILE} DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 else(HELP2MAN AND GZIP)
   message("WARNING: One of the following is missing: help2man, gzip; man page will not be generated")
 endif(HELP2MAN AND GZIP)

=== debian/changelog ===
lgogdownloader (3.4-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stephen Kitt <skitt@debian.org>  Fri, 02 Nov 2018 17:35:49 +0100

lgogdownloader (3.4-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.2.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 18 Sep 2018 13:18:32 +0200

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,9 @@
                librhash-dev,
                libssl-dev,
                libtinyxml2-dev,
-               pkg-config
-Standards-Version: 4.1.4
+               pkg-config,
+               zlib1g-dev
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/games-team/lgogdownloader
 Vcs-Git: https://salsa.debian.org/games-team/lgogdownloader.git

## lgogdownloader 3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,15 @@
 cmake_minimum_required(VERSION 3.0.0 FATAL_ERROR)
-project (lgogdownloader LANGUAGES C CXX VERSION 3.4)
+project (lgogdownloader LANGUAGES C CXX VERSION 3.5)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 set(LINK_LIBCRYPTO 0)
+
+option(USE_QT_GUI "Build with Qt GUI login support" OFF)
+if(USE_QT_GUI)
+  add_definitions(-DUSE_QT_GUI_LOGIN=1)
+  set(CMAKE_AUTOMOC ON)
+  set(CMAKE_AUTOUIC ON)
+endif(USE_QT_GUI)
 
 find_program(READELF readelf DOC "Location of the readelf program")
 find_program(GREP grep DOC "Location of the grep program")
@@ -50,6 +57,17 @@
   src/galaxyapi.cpp
   src/ziputil.cpp
   )
+
+if(USE_QT_GUI)
+  find_package(Qt5Widgets CONFIG REQUIRED)
+  find_package(Qt5WebEngineWidgets CONFIG REQUIRED)
+
+  file(GLOB QT_GUI_SRC_FILES
+    src/gui_login.cpp
+  )
+  list(APPEND SRC_FILES ${QT_GUI_SRC_FILES})
+endif(USE_QT_GUI)
+
 
 set(GIT_CHECKOUT FALSE)
 if(EXISTS ${PROJECT_SOURCE_DIR}/.git)
@@ -127,6 +145,13 @@
   )
 endif(LINK_LIBCRYPTO EQUAL 1)
 
+if(USE_QT_GUI)
+  target_link_libraries(${PROJECT_NAME}
+    PRIVATE Qt5::Widgets
+    PRIVATE Qt5::WebEngineWidgets
+  )
+endif(USE_QT_GUI)
+
 if(MSVC)
   # Force to always compile with W4
   if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")

=== debian/changelog ===
lgogdownloader (3.5-2build4) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Mar 2020 08:51:49 +0100

lgogdownloader (3.5-2build3) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:21:29 +0100

lgogdownloader (3.5-2build2) focal; urgency=medium

  * No-change rebuild against libboost-regex1.71.0-icu65

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 19:01:38 +0000

lgogdownloader (3.5-2build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:41:58 +0000

lgogdownloader (3.5-2) unstable; urgency=medium

  * Only build with Qt on architectures with Qt5WebEngineWidgets.
  * Link with libatomic; this should fix the build on architectures such
    as mipsel which need explicit -latomic.

 -- Stephen Kitt <skitt@debian.org>  Tue, 16 Jul 2019 13:56:08 +0200

lgogdownloader (3.5-1) unstable; urgency=medium

  * New upstream release, with a graphical login interface.
  * Switch to debhelper compatibility level 12.
  * Standards-Version 4.4.0, no change required.
  * Only link libraries which are directly required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 15 Jul 2019 21:24:05 +0200

lgogdownloader (3.4-2) unstable; urgency=medium

  * Ensure the build is reproducible: avoid storing git information, and
    the build architecture.
  * Refresh manpage-whatis.patch.

 -- Stephen Kitt <skitt@debian.org>  Tue, 18 Dec 2018 09:20:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: lgogdownloader
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: web
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
                help2man,
                libboost-date-time-dev,
                libboost-filesystem-dev,
@@ -19,8 +20,9 @@
                libssl-dev,
                libtinyxml2-dev,
                pkg-config,
+               qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/games-team/lgogdownloader
 Vcs-Git: https://salsa.debian.org/games-team/lgogdownloader.git

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/architecture.mk

%:
	dh $@

QT5WEWCFG = /usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5WebEngineWidgets/Qt5WebEngineWidgetsConfig.cmake

override_dh_auto_configure:
# Only build with Qt on architectures with Qt5WebEngineWidgets
ifeq ($(QT5WEWCFG), $(wildcard $(QT5WEWCFG)))
	dh_auto_configure -- -DUSE_QT_GUI=ON
else
	dh_auto_configure
endif

## lgogdownloader 3.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,12 @@
 cmake_minimum_required(VERSION 3.0.0 FATAL_ERROR)
-project (lgogdownloader LANGUAGES C CXX VERSION 3.5)
+project (lgogdownloader LANGUAGES C CXX VERSION 3.7)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 set(LINK_LIBCRYPTO 0)
+
+# Disable search for boost-cmake
+# Fixes building with Boost >= 1.70.0
+set(Boost_NO_BOOST_CMAKE ON)
 
 option(USE_QT_GUI "Build with Qt GUI login support" OFF)
 if(USE_QT_GUI)
@@ -36,7 +40,6 @@
   endif(READELF_RESULT_VAR EQUAL 0)
 endif(CURL_FOUND)
 
-find_package(OAuth REQUIRED)
 find_package(Jsoncpp REQUIRED)
 find_package(Htmlcxx REQUIRED)
 find_package(Tinyxml2 REQUIRED)
@@ -46,7 +49,6 @@
 
 file(GLOB SRC_FILES
   main.cpp
-  src/api.cpp
   src/website.cpp
   src/downloader.cpp
   src/progressbar.cpp
@@ -139,6 +141,19 @@
   PRIVATE ${ZLIB_LIBRARIES}
   )
 
+# Check if libatomic is needed in order to use std::atomic, and add
+# it to the list of JavaScriptCore libraries.
+file(WRITE ${CMAKE_BINARY_DIR}/test_atomic.cpp
+     "#include <atomic>\n"
+     "int main() { std::atomic<int64_t> i(0); i++; return 0; }\n")
+try_compile(ATOMIC_BUILD_SUCCEEDED ${CMAKE_BINARY_DIR} ${CMAKE_BINARY_DIR}/test_atomic.cpp)
+if (NOT ATOMIC_BUILD_SUCCEEDED)
+  target_link_libraries(${PROJECT_NAME}
+    PRIVATE -latomic
+  )
+endif ()
+file(REMOVE ${CMAKE_BINARY_DIR}/test_atomic.cpp)
+
 if(LINK_LIBCRYPTO EQUAL 1)
   target_link_libraries(${PROJECT_NAME}
     PRIVATE ${Libcrypto_LIBRARIES}

=== debian/changelog ===
lgogdownloader (3.7-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Kitt <skitt@debian.org>  Tue, 01 Sep 2020 13:38:57 +0200

lgogdownloader (3.7-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 10 Apr 2020 22:03:33 +0200

lgogdownloader (3.6-1) unstable; urgency=medium

  * New upstream release. libatomic is handled upstream, removing the need
    for add-libatomic.patch.
  * Standards-Version 4.5.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 16 Mar 2020 23:08:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: lgogdownloader
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: web
 Priority: optional
@@ -13,16 +12,16 @@
                libboost-program-options-dev,
                libboost-regex-dev,
                libboost-system-dev,
+               libcurl4-gnutls-dev,
                libhtmlcxx-dev,
                libjsoncpp-dev (>= 1.7.1),
-               liboauth-dev,
                librhash-dev,
                libssl-dev,
                libtinyxml2-dev,
                pkg-config,
                qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
                zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/games-team/lgogdownloader
 Vcs-Git: https://salsa.debian.org/games-team/lgogdownloader.git

## lgogdownloader 3.8

=== debian/changelog ===
lgogdownloader (3.8-1build2) jammy; urgency=medium

  * No-change rebuild against libjsoncpp25

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Dec 2021 07:48:20 +0000

lgogdownloader (3.8-1build1) jammy; urgency=medium

  * No-change rebuild against libtinyxml2-9

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Nov 2021 17:34:56 +0000

lgogdownloader (3.8-1) unstable; urgency=medium

  * New upstream release.
  * Drop the explicit --as-needed, it’s now implied.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 03 Sep 2021 18:24:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: lgogdownloader
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: web
 Priority: optional
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                help2man,
                libboost-date-time-dev,
                libboost-filesystem-dev,
@@ -21,7 +22,7 @@
                pkg-config,
                qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/games-team/lgogdownloader
 Vcs-Git: https://salsa.debian.org/games-team/lgogdownloader.git

## lgogdownloader 3.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,7 @@
 cmake_minimum_required(VERSION 3.0.0 FATAL_ERROR)
-project (lgogdownloader LANGUAGES C CXX VERSION 3.7)
+project (lgogdownloader LANGUAGES C CXX VERSION 3.9)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
-set(LINK_LIBCRYPTO 0)
 
 # Disable search for boost-cmake
 # Fixes building with Boost >= 1.70.0
@@ -27,19 +26,6 @@
   iostreams
   )
 find_package(CURL 7.32.0 REQUIRED)
-if(CURL_FOUND)
-  execute_process(
-    COMMAND ${READELF} -d ${CURL_LIBRARIES}
-    COMMAND ${GREP} -q "libssl\\|libcrypto"
-    RESULT_VARIABLE READELF_RESULT_VAR
-  )
-  if(READELF_RESULT_VAR EQUAL 0)
-    add_definitions(-DSSL_THREAD_SETUP_OPENSSL=1)
-    find_package(Libcrypto REQUIRED)
-    set(LINK_LIBCRYPTO 1)
-  endif(READELF_RESULT_VAR EQUAL 0)
-endif(CURL_FOUND)
-
 find_package(Jsoncpp REQUIRED)
 find_package(Htmlcxx REQUIRED)
 find_package(Tinyxml2 REQUIRED)
@@ -154,12 +140,6 @@
 endif ()
 file(REMOVE ${CMAKE_BINARY_DIR}/test_atomic.cpp)
 
-if(LINK_LIBCRYPTO EQUAL 1)
-  target_link_libraries(${PROJECT_NAME}
-    PRIVATE ${Libcrypto_LIBRARIES}
-  )
-endif(LINK_LIBCRYPTO EQUAL 1)
-
 if(USE_QT_GUI)
   target_link_libraries(${PROJECT_NAME}
     PRIVATE Qt5::Widgets

=== man/CMakeLists.txt ===
--- 
+++ 
@@ -6,12 +6,12 @@
 include(GNUInstallDirs)
 
 if(HELP2MAN AND GZIP)	
-  set(H2M_FILE ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.supplemental.groff)
-  set(MAN_PAGE ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.1)
-  set(MAN_FILE ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.1.gz)
+  set(H2M_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.supplemental.groff")
+  set(MAN_PAGE "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.1")
+  set(MAN_FILE "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.1.gz")
   add_custom_command(
     OUTPUT ${MAN_FILE}
-    COMMAND ${HELP2MAN} -N -i ${H2M_FILE} -o ${MAN_PAGE} ${PROJECT_BINARY_DIR}/${PROJECT_NAME}${CMAKE_EXECUTABLE_SUFFIX}
+    COMMAND ${HELP2MAN} -N -i ${H2M_FILE} -o ${MAN_PAGE} "\"${PROJECT_BINARY_DIR}/${PROJECT_NAME}${CMAKE_EXECUTABLE_SUFFIX}\""
     COMMAND ${GZIP} -f -9 ${MAN_PAGE}
     MAIN_DEPENDENCY ${H2M_FILE}
 	COMMENT "Building man page"

=== debian/changelog ===
lgogdownloader (3.9-2+rpi1+deb12u1) bookworm-staging; urgency=medium

  [changes brought forward from 3.5-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 21 Jul 2019 15:53:07 +0000]
  * Remove armhf from qtwebengine dependency.

 -- Raspbian forward porter <root@raspbian.org>  Wed, 13 Nov 2024 01:16:31 +0000

lgogdownloader (3.9-2+deb12u1) bookworm; urgency=medium

  * Apply upstream fixes for parsing Galaxy URLs. Closes: #1085527.

 -- Stephen Kitt <skitt@debian.org>  Sun, 20 Oct 2024 21:39:20 +0200

lgogdownloader (3.9-2) unstable; urgency=medium

  * qtwebengine5-dev is now available on mips64el, use it there. Thanks
    to Adrian Bunk for the patch!
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 27 Feb 2023 08:42:04 +0100

lgogdownloader (3.9-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 23 Feb 2022 14:11:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: lgogdownloader
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: web
 Priority: optional
@@ -17,12 +16,12 @@
                libhtmlcxx-dev,
                libjsoncpp-dev (>= 1.7.1),
                librhash-dev,
-               libssl-dev,
                libtinyxml2-dev,
+               ninja-build,
                pkg-config,
-               qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
+               qtwebengine5-dev [amd64 arm64 i386 mips64el mipsel],
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/games-team/lgogdownloader
 Vcs-Git: https://salsa.debian.org/games-team/lgogdownloader.git

## lgogdownloader 3.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.0.0 FATAL_ERROR)
-project (lgogdownloader LANGUAGES C CXX VERSION 3.9)
+project (lgogdownloader LANGUAGES C CXX VERSION 3.11)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 
@@ -14,8 +14,6 @@
   set(CMAKE_AUTOUIC ON)
 endif(USE_QT_GUI)
 
-find_program(READELF readelf DOC "Location of the readelf program")
-find_program(GREP grep DOC "Location of the grep program")
 find_package(Boost
   REQUIRED
   system

=== debian/changelog ===
lgogdownloader (3.11-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Don't use qtwebengine5-dev on mipsel, package to be removed.
    Closes: #1041918.

 -- Stephen Kitt <skitt@debian.org>  Tue, 25 Jul 2023 11:38:00 +0200

lgogdownloader (3.11-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 12 Jun 2023 06:13:05 +0200
